WordPress.org

Plugin Directory

Mitsol tweets

Shows user tweets, hashtag tweets and matched search string tweets in slider and vertical display(free version)

Mitsol tweets displays tweets vertically and also displays tweets in tweet slider(pro version) for any user-tweets, hashtag-tweets, search-tweets using Twitter v1.1 REST API. It caches tweet data from twitter into database to deal with twitter Api request limit(read doc).

It's easy to handle and not dependant on jquery/javascript. Not only it shows tweets of a user but also tweets from any hashtag, search keyword with different result type(recent, mixed, popular). Although it uses cache to overcome twitter api request limit, you can use it to specify how long to cache data before getting new tweets from twitter.com.

You can customize all the way by showing/hiding items in a tweet and coloring, using font sizes for items(pro version). Read more features of free version below.

A complete tweet display for business or personal interest. Post ideas about the plugin in pro version website & follow on twitter for updates.

Features

  • Uses Twitter Api v1.1 to get tweets
  • Requires only twitter application keys and tokens
  • Displays tweets of a user or hashtag or custom search string
  • Set to show number of tweets
  • Shows mixed, recent, popular tweets of hashtag and search string
  • Show/hide each individual items of tweet
  • Color settings
  • View the request limit per 15 minutes
  • Responsive and loads fast
  • Multiple display in any page
  • Efficient way of calling to twitter to get data
  • Show date according to your wp timezone settings
  • Have the ability to increase cache time
  • Set fixed height & scroll
  • Embed tweets directly into a page template, see faq
  • More options in pro version

To show tweets in slider with different slider settings, show number of retweets & favourites, show images in tweet if exists, make url/hashtag/others in text linkable to twitter.com, include tweet replies, show header & scrolling plugin, and more settings then upgrade to the Pro version. Try out the Pro demo.

Requires: 3.1 or higher
Compatible up to: 4.2.4
Last Updated: 2015-7-31
Active Installs: 100+

Ratings

5 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.